<?php

namespace Garradin;

use Garradin\Plugin\Materiels\Entry;
use Garradin\Plugin\Materiels\Equipment;
use Garradin\Utils;

require_once __DIR__ . '/../_inc.php';

$entry = new Entry;
$eqmt = new Equipment;

$eqmts_by_cat = $eqmt->listAllReleasedRentByCategory();
$selected_eqmt = "";

$date = new \DateTime;
$date->setTimestamp(time());
$default_date = $date;

$default_comment = "";

$csrf_key = 'add_entry';

if (f('save') && $form->check($csrf_key) && !$form->hasErrors())
{
  $eqmt_id = f('equipment_id');
  $eqmt_number = (int) f('equipment_number');
  $entry_date_format = date_create_from_format(
    "d/m/Y", f('entry_date'))->format("Y-m-d");
  if ($entry->PossibilityRentEqmtEntry($eqmt_id, $eqmt_number, $entry_date_format))
  {
    $entry->add([
      'kind' => 'Retour de location / prêt',
      'equipment_number' => $eqmt_number,
      'equipment_id' => $eqmt_id,
      'entry_date' => $entry_date_format,
      'additional_comment' => f('additional_comment'),
    ]);
  	Utils::redirect(PLUGIN_URL . 'entrees/index.php');
  } else
  {
    $entry_date = f('entry_date');
    $selected_eqmt = $eqmt_id;
    $default_date = $entry_date;
    $default_comment = f('additional_comment');

    $equiment = $eqmt->get($eqmt_id);
    $form->addError(
      "Il est impossible de rentrer " . (string) $eqmt_number . " " . $equiment->designation . " à la date du " . (string) $entry_date . '.');
  }
}

$default_number = "1";

$cancel_link = PLUGIN_URL . 'entrees/index.php';
$legend_part = "en retour de location / prêt";
$tpl_materiel_name = "retour";

$tpl->assign(compact(
  'eqmts_by_cat', 'default_date', 'default_number',
  'default_comment', 'cancel_link', 'legend_part',
  'tpl_materiel_name', 'csrf_key', 'selected_eqmt',
));

$tpl->display(PLUGIN_ROOT . '/templates/entrees/ajouter_entree.tpl');
