<?php

namespace Garradin;
use Garradin\Plugin\Materiels\Entry;
use Garradin\Plugin\Materiels\Equipment;
use Garradin\Utils;

require_once __DIR__ . '/../_inc.php';

$entry = new Entry;

$e_to_delete = $entry->get((int) qg('id'));
$eqmt = new Equipment;

if (!$e_to_delete)
{
	throw new UserException("Cette entrée n'existe pas.");
}

$csrf_key = 'delete_entry_' . $e_to_delete->id;

if (f('delete') && $form->check($csrf_key) && !$form->hasErrors())
{
	$entry->delete($e_to_delete->id);
	try
	{
		$eqmt->delete($e_to_delete->equipment_id);
	}
	catch (\RuntimeException $e){
	}
	Utils::redirect(PLUGIN_URL . 'entrees/index.php');
}

$equipment = $eqmt->get($e_to_delete->equipment_id);

if ($entry->PossibilityDeleteEntry($e_to_delete))
{
  $cancel_link = PLUGIN_URL . 'entrees/index.php';

  $entry_string = (string) $e_to_delete->equipment_number . " " . $equipment->designation . " à la date du " . date_create_from_format(
    "Y-m-d", $e_to_delete->entry_date)->format("d/m/y");

  $eqmt_name = $equipment->designation;

  $tpl->assign(compact('entry_string', 'eqmt_name', 'csrf_key', 'cancel_link'));

  $tpl->display(PLUGIN_ROOT . '/templates/entrees/supprimer_entree.tpl');

} else {
  throw new UserException(
		"Cette entrée ne peut pas être supprimée car ça rendrait impossible l'historique des entrées et sorties de « " . $equipment->designation . " ». --- plus de sorties que d'entrées ! ---");
}
