<?php

namespace Garradin;
use Garradin\Plugin\Materiels\Output;
use Garradin\Plugin\Materiels\Equipment;
use Garradin\Utils;

require_once __DIR__ . '/../_inc.php';

$output = new Output;

$o_to_delete = $output->get((int) qg('id'));

if (!$o_to_delete)
{
	throw new UserException("Cette sortie n'existe pas.");
}

$csrf_key = 'delete_output_' . $o_to_delete->id;

if (f('delete') && $form->check($csrf_key) && !$form->hasErrors())
{
	$output->delete($o_to_delete->id);
	Utils::redirect(PLUGIN_URL . 'sorties/index.php');
}

$eqmt = new Equipment;
$equipment = $eqmt->get($o_to_delete->equipment_id);

if ($output->PossibilityDeleteOutput($o_to_delete))
{
  $cancel_link = PLUGIN_URL . 'sorties/index.php';

  $output_string = (string) $o_to_delete->equipment_number . " " . $equipment->designation . " à la date du " . date_create_from_format(
    "Y-m-d", $o_to_delete->output_date)->format("d/m/y");

  $tpl->assign(compact('output_string', 'csrf_key', 'cancel_link'));

  $tpl->display(PLUGIN_ROOT . '/templates/sorties/supprimer_sortie.tpl');

} else {
  throw new UserException(
		"Cette sortie ne peut pas être supprimée car ça rendrait impossible l'historique des entrées et sorties de « " . $equipment->designation . " ». --- plus de 'retour de location / prêt' en entrée que de 'location / prêt' en sortie ! ---");
}
